
# Install

## Debian

`sudo dpkg -i syn1588nic-drv*.deb`
`sudo apt install -f`

## CentOS / RHEL / Rocky Linux / Alma Linux

`sudo dnf install epel-release`
`sudo dnf install kmod-syn1588nic*.rpm`

### yum

enable EPEL
`sudo yum install --enablerepo=extras epel-release`
`sudo yum install kmod-syn1588nic*.rpm`


# Kernel parameters


## syn1588_disable_output

`modprobe oregano_clock syn1588_disabled_output=1`

disables all outputs by default
it sill can be configurated later and enabled
but does not output any signal beforehand

!Warning!
By some hardware limitations, some spikes apear while inizilizing and configurating the IOMATRIX


# Build

`make help`

shows all the aviable build commands

for more details see `BUILD.md`
