
#ifndef SI_TIME_PLL_H
#define SI_TIME_PLL_H

#include <linux/device.h>


struct si_time_pll_platform_data {
	int clock_input; // 0-3 , default 0
	char clock_input_pll; // char 'A' - 'D' for pll number
	char clock_adjust_pll; // char 'A' - 'D' for pll number

	//to disable this inputs use value -1
	int external_clock_input; // 1-3
	int sync_e_clock_input; // 1-3
	char sync_e_pll; // char 'A' - 'D' for pll number
};

struct si_time_pll_status {
	bool input_locked;
	bool input_pll_locked;

	bool adjust_pll_locked;

	bool extclock_input_locked;
	bool synce_input_locked;

};


struct si_time_95147;

struct si_time_95147 *sit_95147_get_device(struct device *dev);


int si_time_pll_get_status(struct si_time_95147 *pll, struct si_time_pll_status *status);

/**
 * adjust frequence of the clock pll
*/
int si_time_pll_clock_adjfine(struct si_time_95147 *pll, long scaled_ppm);


#endif // SI_TIME_PLL_H